<!DOCTYPE html>
<html ng-app="starter">
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="initial-scale=1, maximum-scale=1, user-scalable=no, width=device-width">
  <title></title>

  <link rel="manifest" href="manifest.json">

  <!-- un-comment this code to enable service worker
    <script>
      if ('serviceWorker' in navigator) {
        navigator.serviceWorker.register('service-worker.js')
          .then(() => console.log('service worker installed'))
          .catch(err => console.log('Error', err));
      }
    </script>-->

  <link href="lib/ionic/css/ionic.css" rel="stylesheet">
  <link href="css/style.css" rel="stylesheet">

  <!-- IF using Sass (run gulp sass first), then uncomment below and remove the CSS includes above
    <link href="css/ionic.app.css" rel="stylesheet">
    -->

  <!-- ionic/angularjs js -->
  <script src="lib/ionic/js/ionic.bundle.js"></script>

  <!-- cordova script (this will be a 404 during development) -->
  <script src="js/ng-cordova.min.js"></script>

  <script src="cordova.js"></script>

  <!-- your app's js -->
  <!--<script src="js/busquedaCedula.js"></script>-->
  <script src="js/app.js"></script>
</head>

<body ng-controller="CedulaController">

  <ion-pane>
    <ion-header-bar class="bar bar-header bar-balanced">
      <!--<div class="bar bar-header bar-balanced">-->
        <div ng-app="starter" ng-controller="CedulaController" ng-hide="registrado">
          <h1 class="title">Aurus Electoral {{elecdesc}}</h1>
          </div>
      <!-- </div>-->
      <!--  <h1 class="title">Ionic Blank Starter</h1>  -->
    </ion-header-bar>
    <ion-content >
      <div ng-app="starter" ng-controller="CedulaController">


        <script id="my-modal3.html" type="text/ng-template">
          <ion-modal-view>

            <ion-modal-view  title="  Agregar a:"> 
              <ion-header-bar class="bar  bar-header"> Agregar a : </ion-header-bar>
              <ion-header-bar class="bar bar-subheader">
                <h1 class="title"> {{listadoTemp.nombreApellidoCorreli}}  </h1>
                
        
       


     
           
              </ion-header-bar>

            
            </ion-header-bar>
            <ion-content >
             
              <label class="item item-input item-floating-label">
                <span class="input-label">{{listado.memo}}</span>
                <input type="text" id="listadoTemp.referencia" placeholder="Ingrese referencia" ng-model="listadoTemp.referencia" > </input>
                <span class="input-label">{{listado.carnet}}</span>
                <input type="text" id="listadoTemp.memo" placeholder="Ingrese observacion" ng-model="listadoTemp.memo"> </input>
            
                <span class="input-label">Ingrese celular</span>
                <input type="tel" id="listadoTemp.celular" placeholder="Ingrese celular" ng-model="listadoTemp.celular"> </input>
              </label>

              <div class="list">

                <label class="item item-input item-select">
                  <div class="input-label">
                    Certeza
                  </div>
                  <select id="listadoTemporal.Certeza" ng-model="listadoTemporal.Certeza"  >
                    <option selected value="BL">Blanco</option>
                    <option value="VE" style="color: green;" >Verde</option>
                    <option value="AM" style="color: yellow;">Amarillo</option>
                    <option value="RO" style="color: red;">Rojo</option>
                  </select>
                </label>

               
              
              </div>

              <button class="button button-full button-energized" style="width: 80%; margin-left: 10%;border-radius: 1%;"
                ng-click="agregarCorrelinombre(listadoTemporal.memo,listadoTemporal.referencia,listadoTemporal.celular,listadoTemporal.Certeza)">
               Confirmar
              </button>
    
          
            </ion-content>
          </ion-modal-view>

        
        </script> 
      </div>


      <div class="list">
        <div ng-app="starter" ng-controller="CedulaController">


      


          <label class="item item-input item-floating-label">
            <span class="input-label">Ingrese Nombre</span>
            <input type="text" id="nombreCorreli" placeholder="Ingrese Nombre" ng-model="nombreCorreli"> </input>
            <span class="input-label">Ingrese Apellido</span>
            <input type="text" id="apellidoCorreli" placeholder="Ingrese Apellido" ng-model="apellidoCorreli"> </input>
            <span class="input-label">Ingrese Celular</span>
            <input type="number" id="celularCorreli" placeholder="{{listado.celular}}" ng-model="celularCorreli"> </input>
          </label>
          <button class="button button-full button-energized" style="width: 80%; margin-left: 10%;border-radius: 1%;"
            ng-click="busquedaNombre()">
            Consulta por Nombre y/o Celular
          </button>

          <div style="height:100000px;">
            <ion-scroll style="height:100000px;" >
             
              <div  ng-app="starter" ng-controller="CedulaController" ng-show="esconderCedula">

               
                <label class="item item-input item-floating-label">
                  <input type="tel" id="telefonocor" value="09xx" ng-model="telefonocor"> </input>
                </label>
                <button class="button button-full button-energized" style="width: 80%; margin-left: 10%;border-radius: 1%;"
                  ng-click="agregarCorreli()">
                  Agregar al Listado
                </button>
              </div>
              <!--
               
              <div style=" height: 20px;width: 1000px;">
                
                  <th>Cedula</th>
                  <th>Nombre</th>
                  <th>Nacimiento</th>
                  <th>Habilitado</th>
                  <th>Voto</th>
                  <th>Celular</th>
                  <th>Local/Mesa/Orden</th>
                  <th>Referencia</th>
                  <th>Memo</th>
                  <th>Carnet</th>
                
              </div>
             <ion-item ng-repeat="listado in listados | filter: search " item="listado" style="margin-bottom: 5%;height: 5px;width: 1000px;">
            
                     
                  <td> {{listado.cedulaCorreli}}</td>
                  <td>{{listado.nombreApellidoCorreli}}</td>
                  <td>{{listado.nac}}</td>
                  <td>{{listado.habilitado}}</td>
                  <td> {{listado.voto}} </td>
                  <td> {{listado.celular}} </td>
                  <td> {{listado.localVotacion}}/{{listado.nroMesa}}/{{listado.ordenMesa}} </td>
                  <td>{{listado.referencia}} </td>
                  <td>{{listado.memo}} </td>
                  <td>{{listado.carnet}}</td>
                 
                
              
               
             </ion-item>
            -->
              <ion-item ng-repeat="listado in listados | filter: search " item="listado" style="margin-bottom: 10%">



                <div class="card" >
                  <div style="display: -webkit-inline-box;">
                    <div style="font-weight: bold;"> Cedula: </div>
                    <div style="margin-left: 50%;position: absolute;">
                      {{listado.cedulaCorreli}} 
                      
                      <span style="" ng-if="listado.habilitado == 'S'">
                    
                        <span style="color: green; ">( {{listado.habilitado}} )</span>
                      </span>
                      <span style="" ng-if="listado.habilitado != 'S'">
                       
                        <span style="color: red; ">( {{listado.habilitado}} )</span>
                      </span>
                    
                    
                    
                    
                    
                    </div>
                  </div>
                 
                    <div style="font-weight: bold;"> Nombre: </div>
                     <div style="text-align: justify; word-break:break-all;    font-size: 80%;">
                     {{listado.nombreApellidoCorreli}}
                  </div>
                  <div style="display: -webkit-inline-box;" ng-show="bandera">
                    <div style="font-weight: bold;"> Nacimiento: </div>
                    <div style="margin-left: 35%;position: absolute;">{{listado.nac}}</div>
                  </div>
                 
                  <div style="display: -webkit-box;" ng-if="listado.habilitado == 'S'"ng-show = "bandera">
                    <div style="font-weight: bold;"> {{rotulo_habilitado}}:</div>
                    <div style="color: green; margin-left: 50%;position: absolute;"> {{listado.habilitadoMSG}}</div>
                  </div>
                  <div style="display: -webkit-box;" ng-if="listado.habilitado != 'S'"ng-show = "bandera">
                    <div style="font-weight: bold;"> {{rotulo_habilitado}}:</div>
                    <div style="color: red; margin-left: 50%;position: absolute;">{{listado.habilitadoMSG}}</div>
                  </div>

                  
                  <div style="display: -webkit-box;"ng-show = "bandera">
                    <div style="font-weight: bold;"> {{rotulo_votacion}}: </div>
                    <div style="margin-left: 47%;position: absolute">{{listado.Vota_en_MSG}}</div>
                  </div>

                  <div style="display: -webkit-box;"ng-show = "bandera">
                    <div style="font-weight: bold;"> {{rotulo_asamblea}}:</div>
                    <div style="margin-left: 47%;position: absolute;">{{listado.Voto_MSG}}</div>
                  </div>

                  <div style="display: -webkit-inline-box;"ng-show = "bandera">
                    <div style="font-weight: bold;"> Voto: </div>
                    <div style=" margin-left: 56%;position: absolute;">
                      {{listado.voto}} 
                    </div>
                  </div>
                  <div style="display: -webkit-box;"ng-show = "bandera">
                    <div style="font-weight: bold;"> Celular:</div>
                    <div style="margin-left: 47%;position: absolute;">{{listado.celular}}</div>
                  </div>
                  <div style="display: -webkit-box;"ng-show = "bandera">
                    <div style="font-weight: bold;"> Local/Mesa/Orden </div>
                    <div style="margin-left: 47%;position: absolute">{{listado.localVotacion}}/{{listado.nroMesa}}/{{listado.ordenMesa}}</div>
                  </div>
                  <!--
                  <div style="display: -webkit-box;"ng-show = "bandera">
                    <div style="font-weight: bold;"> Referencia:</div>
                    <div style="margin-left: 47%;position: absolute;">{{listado.referencia}}</div>
                  </div>
                  <div style="display: -webkit-box;"ng-show = "bandera">
                    <div style="font-weight: bold;"> Memo:</div>
                    <div style="margin-left: 47%;position: absolute;">{{listado.memo}}</div>
                    -->
                  </div>
                  <div style="display: -webkit-box;"ng-show = "bandera">
                    <div style="font-weight: bold;">  {{rotulo_lista}} :</div>
                    <div style="margin-left: 47%;position: absolute;">{{listado.carnet}}</div>
                  </div>
                 
                  <button class="button button-full button-energized" style="width: 80%; margin-left: 10%;border-radius: 1%;"
                  ng-click="mostrarModalnom(listado)" ng-show = "bandera">
                  Agregar al Listado
                </button>
  
                <button class="button button-full button-energized" style="width: 80%; margin-left: 10%;border-radius: 1%;"
                ng-click="bandera = true" ng-hide="bandera">
                Mostrar
              </button>
                </div>
               </ion-item>
              
              </div>
             

              <div>
                <!--<button class="button button-full button-energized" ng-click="agregarCorreli()">Agregar al Listado</button> -->
              </div>
            
            </ion-scroll>
          </div>
        </div>



      </div>




    </ion-content>


    <!--<div class="tabs-striped tabs-top tabs-background-positive tabs-color-light"> -->
    <!-- <div class="tabs">
      <a class="tab-item active" href="#">
        <i class="icon ion-home"></i>
        Test
      </a>
      <a class="tab-item" href="#">
        <i class="icon ion-star"></i>
        Favorites
      </a>
      <a class="tab-item" href="#">
        <i class="icon ion-gear-a"></i>
        Settings
      </a>
    </div>
  </div> -->



    <div class="tabs-striped tabs-color-assertive">
      <div class="tabs">
        <a class="tab-item " href="index.html">
          <i class="icon ion-home">
            <font size="2">Inicio</font>
          </i>
          Test
        </a>
        <a class="tab-item active" href="#">
          <i class="icon ion-alert">
            <font size="2">Buscar</font>
          </i>
          Favorites
        </a>
        <a class="tab-item" href="listado.html">
          <i class="icon ion-star">
            <font size="2">Listado</font>
          </i>
          Settings
        </a>

        <a class="tab-item " href="configuracion.html">
          <i class="icon ion-android-settings">
            <font size="2">Conf.</font>
          </i>
          
        </a>
      </div>
    </div>
  </ion-pane>
</body>

</html>